package com.bonus.core.account.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

public class AccCardBindCodeVO implements Serializable {
   @ApiModelProperty("绑定id")
   private Long bindId;
   @ApiModelProperty("卡二维码流水号")
   @ExcelProperty({"二维码流水号"})
   private String cardCodeNum;
   @ApiModelProperty("卡序列号(物理卡号)")
   @ExcelProperty({"卡物理号"})
   private String serialNum;
   @ApiModelProperty("创建时间")
   @ExcelProperty({"操作时间"})
   private Date crtime;
   @ApiModelProperty("创建人")
   @ExcelProperty({"操作人"})
   private String crby;
   @ApiModelProperty("更新人")
   @ExcelProperty({"更新人"})
   private String upby;
   @ApiModelProperty("更新时间")
   @ExcelProperty({"更新时间"})
   private Date uptime;

   public Long getBindId() {
      return this.bindId;
   }

   public String getCardCodeNum() {
      return this.cardCodeNum;
   }

   public String getSerialNum() {
      return this.serialNum;
   }

   public Date getCrtime() {
      return this.crtime;
   }

   public String getCrby() {
      return this.crby;
   }

   public String getUpby() {
      return this.upby;
   }

   public Date getUptime() {
      return this.uptime;
   }

   public void setBindId(final Long bindId) {
      this.bindId = bindId;
   }

   public void setCardCodeNum(final String cardCodeNum) {
      this.cardCodeNum = cardCodeNum;
   }

   public void setSerialNum(final String serialNum) {
      this.serialNum = serialNum;
   }

   public void setCrtime(final Date crtime) {
      this.crtime = crtime;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final Date uptime) {
      this.uptime = uptime;
   }


}
